class FeedsController < ApplicationController
  # Show all feeds
  def index
    @feeds = Feed.order("title").all
  end

  # Show a single feed
  def show
    @feed = Feed.find(params[:id])
    render :layout => false
  end

  def create
    @feed = Feed.import(params[:feed][:url])
    redirect_to :action => :index, :notice => "Add the feed"
  end

  def destroy
    Feed.find(params[:id]).destroy
    render :nothing => true, :status => :ok
  end

  def errors
    @errors = Feed.find(params[:id]).errors
    render :layout => false
  end

  def import
    #fh = File.open(Rails.root.join("public", "uploads", params[:importer][:import_file].original_filename))
    # TODO: Hier gehts weiter
  end
end
